diff --git a/doc/src/sgml/maintenance.sgml b/doc/src/sgml/maintenance.sgml
new file mode 100644
index c05b526..f77ade7
*** a/doc/src/sgml/maintenance.sgml
--- b/doc/src/sgml/maintenance.sgml
*************** HINT:  To avoid a database shutdown, exe
*** 581,587 ****
  
  <programlisting>
  ERROR:  database is not accepting commands to avoid wraparound data loss in database "mydb"
! HINT:  Stop the postmaster and use a standalone backend to VACUUM in "mydb".
  </programlisting>
  
      The 1-million-transaction safety margin exists to let the
--- 581,587 ----
  
  <programlisting>
  ERROR:  database is not accepting commands to avoid wraparound data loss in database "mydb"
! HINT:  Stop the postmaster and use a single-user backend to VACUUM in "mydb".
  </programlisting>
  
      The 1-million-transaction safety margin exists to let the
diff --git a/src/backend/access/transam/varsup.c b/src/backend/access/transam/varsup.c
new file mode 100644
index 0579c84..a3c1196
*** a/src/backend/access/transam/varsup.c
--- b/src/backend/access/transam/varsup.c
*************** GetNewTransactionId(bool isSubXact)
*** 114,127 ****
  						(errcode(ERRCODE_PROGRAM_LIMIT_EXCEEDED),
  						 errmsg("database is not accepting commands to avoid wraparound data loss in database \"%s\"",
  								oldest_datname),
! 						 errhint("Stop the postmaster and use a standalone backend to vacuum that database.\n"
  								 "You might also need to commit or roll back old prepared transactions.")));
  			else
  				ereport(ERROR,
  						(errcode(ERRCODE_PROGRAM_LIMIT_EXCEEDED),
  						 errmsg("database is not accepting commands to avoid wraparound data loss in database with OID %u",
  								oldest_datoid),
! 						 errhint("Stop the postmaster and use a standalone backend to vacuum that database.\n"
  								 "You might also need to commit or roll back old prepared transactions.")));
  		}
  		else if (TransactionIdFollowsOrEquals(xid, xidWarnLimit))
--- 114,127 ----
  						(errcode(ERRCODE_PROGRAM_LIMIT_EXCEEDED),
  						 errmsg("database is not accepting commands to avoid wraparound data loss in database \"%s\"",
  								oldest_datname),
! 						 errhint("Stop the postmaster and use a single-user backend to vacuum that database.\n"
  								 "You might also need to commit or roll back old prepared transactions.")));
  			else
  				ereport(ERROR,
  						(errcode(ERRCODE_PROGRAM_LIMIT_EXCEEDED),
  						 errmsg("database is not accepting commands to avoid wraparound data loss in database with OID %u",
  								oldest_datoid),
! 						 errhint("Stop the postmaster and use a single-user backend to vacuum that database.\n"
  								 "You might also need to commit or roll back old prepared transactions.")));
  		}
  		else if (TransactionIdFollowsOrEquals(xid, xidWarnLimit))
diff --git a/src/backend/po/de.po b/src/backend/po/de.po
new file mode 100644
index 3666920..ac35baf
*** a/src/backend/po/de.po
--- b/src/backend/po/de.po
*************** msgstr "Datenbank nimmt keine Befehle an
*** 855,861 ****
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Halten Sie den Postmaster an und verwenden Sie ein Standalone-Backend, um VACUUM in dieser Datenbank auszuführen.\n"
--- 855,861 ----
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Halten Sie den Postmaster an und verwenden Sie ein Standalone-Backend, um VACUUM in dieser Datenbank auszuführen.\n"
diff --git a/src/backend/po/es.po b/src/backend/po/es.po
new file mode 100644
index 7a47ed2..129cb82
*** a/src/backend/po/es.po
--- b/src/backend/po/es.po
*************** msgstr "la base de datos no está acepta
*** 714,723 ****
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
! "Detenga el proceso postmaster y utilice una conexión aislada (standalone) para limpiar (vacuum) esa base de datos.\n"
  "Puede que además necesite comprometer o abortar transacciones preparadas antiguas."
  
  #: access/transam/varsup.c:120
--- 714,723 ----
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
! "Detenga el proceso postmaster y utilice una conexión aislada (single-user) para limpiar (vacuum) esa base de datos.\n"
  "Puede que además necesite comprometer o abortar transacciones preparadas antiguas."
  
  #: access/transam/varsup.c:120
diff --git a/src/backend/po/fr.po b/src/backend/po/fr.po
new file mode 100644
index 3920c0f..fa44932
*** a/src/backend/po/fr.po
--- b/src/backend/po/fr.po
*************** msgstr ""
*** 763,769 ****
  #: access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Arrtez le postmaster et utilisez un moteur autonome pour excuter VACUUM\n"
--- 763,769 ----
  #: access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Arrtez le postmaster et utilisez un moteur autonome pour excuter VACUUM\n"
diff --git a/src/backend/po/it.po b/src/backend/po/it.po
new file mode 100644
index 6f3b982..a8784f5
*** a/src/backend/po/it.po
--- b/src/backend/po/it.po
*************** msgstr "il database non accetta comandi 
*** 855,861 ****
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Arresta il processo postmaster ed utilizza un backend autonomo per effettuare il VACUUM sul database.\n"
--- 855,861 ----
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Arresta il processo postmaster ed utilizza un backend autonomo per effettuare il VACUUM sul database.\n"
diff --git a/src/backend/po/ja.po b/src/backend/po/ja.po
new file mode 100644
index 64908a2..5670109
*** a/src/backend/po/ja.po
--- b/src/backend/po/ja.po
*************** msgstr "データベース\"%s\"にお
*** 664,670 ****
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "postmaster を停止後、スタンドアロンバックエンドを使ってそのデータベースをバキュームしてください。\n"
--- 664,670 ----
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "postmaster を停止後、スタンドアロンバックエンドを使ってそのデータベースをバキュームしてください。\n"
diff --git a/src/backend/po/pl.po b/src/backend/po/pl.po
new file mode 100644
index f67420e..3ce4ee9
*** a/src/backend/po/pl.po
--- b/src/backend/po/pl.po
*************** msgstr "baza danych nie przyjmuje polece
*** 663,669 ****
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Zatrzymaj postmastera i użyj autonomicznego backendu do odkurzenia tej bazy danych.\n"
--- 663,669 ----
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Zatrzymaj postmastera i użyj autonomicznego backendu do odkurzenia tej bazy danych.\n"
diff --git a/src/backend/po/pt_BR.po b/src/backend/po/pt_BR.po
new file mode 100644
index 0065aac..4af4c0e
*** a/src/backend/po/pt_BR.po
--- b/src/backend/po/pt_BR.po
*************** msgstr "banco de dados não está aceita
*** 664,670 ****
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Pare o postmaster e use um servidor autônomo para limpar aquele banco de dados.\n"
--- 664,670 ----
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Pare o postmaster e use um servidor autônomo para limpar aquele banco de dados.\n"
diff --git a/src/backend/po/ru.po b/src/backend/po/ru.po
new file mode 100644
index 9c24e5c..f42a820
*** a/src/backend/po/ru.po
--- b/src/backend/po/ru.po
*************** msgstr ""
*** 923,929 ****
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Остановите управляющий процесс (postmaster) и выполните очистку (VACUUM) "
--- 923,929 ----
  #: access/transam/varsup.c:117 access/transam/varsup.c:124
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "Остановите управляющий процесс (postmaster) и выполните очистку (VACUUM) "
diff --git a/src/backend/po/tr.po b/src/backend/po/tr.po
new file mode 100644
index 2e65073..428abf6
*** a/src/backend/po/tr.po
--- b/src/backend/po/tr.po
*************** msgstr "\"%s\" veritabanı wraparound ve
*** 1280,1286 ****
  #: access/transam/varsup.c:89
  #, fuzzy, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum database \"%s\".\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr "postmaster sürecini kapatın ve \"%s\" veritabanına VACUUM uygulamak için bağımsız backend kullanın."
  
--- 1280,1286 ----
  #: access/transam/varsup.c:89
  #, fuzzy, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum database \"%s\".\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr "postmaster sürecini kapatın ve \"%s\" veritabanına VACUUM uygulamak için bağımsız backend kullanın."
  
diff --git a/src/backend/po/zh_CN.po b/src/backend/po/zh_CN.po
new file mode 100644
index 76316d4..b290c3d
*** a/src/backend/po/zh_CN.po
--- b/src/backend/po/zh_CN.po
*************** msgstr "数据库没有接收命令来
*** 682,688 ****
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "停止postmaster进程，然后使用单独的后台进程来清理数据库.\n"
--- 682,688 ----
  #: access/transam/varsup.c:115 access/transam/varsup.c:122
  #, c-format
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "停止postmaster进程，然后使用单独的后台进程来清理数据库.\n"
diff --git a/src/backend/po/zh_TW.po b/src/backend/po/zh_TW.po
new file mode 100644
index e877043..b0d52dd
*** a/src/backend/po/zh_TW.po
--- b/src/backend/po/zh_TW.po
*************** msgstr "資料庫目前未接受指令
*** 915,921 ****
  #: access/transam/varsup.c:116
  #: access/transam/varsup.c:123
  msgid ""
! "Stop the postmaster and use a standalone backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "停止 postmaster 並使用獨立後端 vacuum 資料庫。\n"
--- 915,921 ----
  #: access/transam/varsup.c:116
  #: access/transam/varsup.c:123
  msgid ""
! "Stop the postmaster and use a single-user backend to vacuum that database.\n"
  "You might also need to commit or roll back old prepared transactions."
  msgstr ""
  "停止 postmaster 並使用獨立後端 vacuum 資料庫。\n"
